package com.ruoyi.system.domain.vo;

import com.ruoyi.common.annotation.Excel;

import java.io.Serializable;
import java.util.List;
import java.util.StringJoiner;

/**
 * @ClassName: AdministrativeDivisionsVo
 * @Author: 于学智
 * @Description:
 * @CreateDate: 2023/9/20 15:17
 * @Version: 1.0
 * @E-mail:18722650553@139.com
 * @Link:https://github.com/18722650553
 */
public class AdministrativeDivisionsVo implements Serializable {
    /**
     * $column.columnComment
     */
    private Long id;

    /**
     * 区域代码
     */
    @Excel(name = "区域代码")
    private Long code;

    /**
     * 区域名称
     */
    @Excel(name = "区域名称")
    private String name;
    /**
     * 父级ID
     */
    @Excel(name = "父级ID")
    private Long parentId;
    /**
     * 子区域
     */
    @Excel(name = "子区域")
    private List<AdministrativeDivisionsVo> child;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getCode() {
        return code;
    }

    public void setCode(Long code) {
        this.code = code;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Long getParentId() {
        return parentId;
    }

    public void setParentId(Long parentId) {
        this.parentId = parentId;
    }

    public List<AdministrativeDivisionsVo> getChild() {
        return child;
    }

    public void setChild(List<AdministrativeDivisionsVo> child) {
        this.child = child;
    }

    @Override
    public String toString() {
        return new StringJoiner(", ", AdministrativeDivisionsVo.class.getSimpleName() + "[", "]")
                .add("id=" + id)
                .add("code=" + code)
                .add("name='" + name + "'")
                .add("parentId=" + parentId)
                .add("child=" + child)
                .toString();
    }
}
